/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.bc.mail;

/**
 * @author Adrien LOUIS - EBMWebSourcing
 * @author Christophe HAMERLING (chamerling) - eBM WebSourcing
 * 
 */
public interface Constants {

    public static final String BODY_PATHELEMENT = "body";

    public static final String EXPUNGE_PATHELEMENT = "delete";

    public static final String FOLDER_DEFAULT = "INBOX";

    public static final String FOLDER_QUERYELEMENT = "folder";

    public static final String FROM_PATHELEMENT = "from";

    public static final String MAIL_FROM_KEY = "mail.from";

    public static final String MAIL_HOST_KEY = "mail.host";

    public static final String MAIL_IMAP_PORT_DEFAULT = "143";

    public static final String MAIL_POP3_PORT_DEFAULT = "110";

    public static final String MAIL_SCHEME_IMAP = "imap";

    public static final String MAIL_SCHEME_POP3 = "pop3";

    public static final String MAIL_SCHEME_SMTP = "smtp";

    public static final String MAIL_SMTP_PORT_DEFAULT = "25";

    public static final String MAIL_STORE_PROTOCOL_KEY = "mail.store.protocol";

    public static final String MAIL_TRANSPORT_PROTOCOL_KEY = "mail.transport.protocol";
    
    public static final String HELO_HOST_PATHELEMENT = "helohost";
    public static final String MAIL_HELO_HOST = "mail.smtp.localhost";

    public static final String MAIL_USER_KEY = "mail.user";

    public static final String PERIOD_DEFAULT = "60000";

    public static final String PERIOD_QUERYELEMENT = "period";

    public static final String QUERY_SEPARATOR = "&";

    public static final String REPLY_PATHELEMENT = "reply";

    public static final String SEND_MAIL_OPERATION = "send";

    public static final String SEND_MAIL_SERVICE_NS = "http://petals.ow2.org/components/mail/version-3";

    public static final String SUBJECT_PATHELEMENT = "subject";

    public static final String TO_PATHELEMENT = "to";

    public static final String HOST_PATHELEMENT = "host";

    public static final String USER_PATHELEMENT = "user";

    public static final String PASSWORD_PATHELEMENT = "password";

    public static final String PORT_PATHELEMENT = "port";
    
    //Send mode
    public static final String SEND_MODE_PATHELEMENT = "send-mode";
    
    public static final String SEND_MODE_CONTENTONLY = "content-only";

    public static final String SEND_MODE_ATTACHMENTSONLY = "attachments-only";

    public static final String SEND_MODE_CONTENTATTACHMENTS = "content-and-attachments";
}
